Subject: Re: linux-next: build failure after merge of the final tree (tip tree related)

From: Don Zickus <[email-masked]>
Date: Mon, 29 Nov 2010 09:30:47 -0500

On Mon, Nov 29, 2010 at 09:29:16AM +0100, Ingo Molnar wrote:
> 
> * Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > On Mon, 22 Nov 2010 13:39:49 +1100 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > After merging the final tree, today's linux-next build (sparc64 defconfig)
> > > failed like this:
> > > 
> > > arch/sparc/kernel/nmi.c:54: error: redefinition of 'touch_nmi_watchdog'
> > > include/linux/nmi.h:21: note: previous definition of 'touch_nmi_watchdog' was here
> > > 
> > > Caused (or, at least exposed) by commit
> > > 5f2b0ba4d94b3ac23cbc4b7f675d98eb677a760a ("x86, nmi_watchdog: Remove the
> > > old nmi_watchdog").  Sparc appears to have a touch_nmi_watchdog() and
> > > defines ARCH_HAS_NMI_WATCHDOG but not CONFIG_HARDLOCKUP_DETECTOR.
> > > 
> > > I have reverted that commit for today (as well as commit
> > > 072b198a4ad48bd722ec6d203d65422a4698eae7 "x86, nmi_watchdog: Remove all
> > > stub function calls from old nmi_watchdog" that depends on it).
> > 
> > This build failure is back, so I have reverted the above commits again.
> 
> Don, have you got a fix for that?

I do.  I posted it last week, but you wanted me to post something
incremental instead.  I'll get that out today.

Cheers,
Don

> Thanks,
> 	Ingo